{ pkgs, lib, config, ... }:
with lib;
with lib.plusultra;
{
  imports = [ ./hardware-configuration.nix ];

  plusultra = {
    base.enable = true;
    nix-ld.enable = true;
    nix.enable = true;
    nix.extra-substituters."https://nixsgx.cachix.org".key = "nixsgx.cachix.org-1:tGi36DlY2joNsIXOlGnSgWW0+E094V6hW0umQRo/KoE=";
    user.extraGroups = [ "docker" ];
  };

  virtualisation.docker.enable = true;

  system.autoUpgrade = {
    enable = true;
    operation = "boot";
    allowReboot = true;
  };

  networking.hostName = "sgx-nixos"; # Define your hostname.

  networking.wireless.enable = false; # Enables wireless support via wpa_supplicant.

  services.aesmd.enable = true;

  powerManagement.cpuFreqGovernor = "ondemand";

  system.stateVersion = "23.11";
}
